/*
 * PropBoePing.h
 * some common header file stuff for pin definitions, etc....
 */
#ifndef __PROPBOEPING_H
#define __PROPBOEPING_H

#define TOCM 29034
#define TOIN 73746

#define PINGDIST_IN(ticks) ((ticks)*1000)/TOIN
#define PINGDIST_CM(ticks) ((ticks)*1000)/TOCM

/**
 * start the ping thread. call before using other functions
 */
void startPingThread(void);

/**
 * get ping reflection time
 */
int getPingTime(void);

/**
 * Main test function.
 */
int propBoePingTest(void);

#endif
